.\" Man page for dump84, a program to dump the memory contents of a 16C84
.\" 
.\" this manualpage may be copied over to /usr/local/man/man1/dump84.1
.\" 
.\" 

.TH dump84 1 "8th. October 2002"
.SH NAME
dump84 \- dumps the memory contents of a Microchip Technology EEPROM like
24C16, or a PIC MCU through the parallel, serial or USB port.
PIC12C5xx, PIC16C84/16F84 and many other PIC's from the
16Cxxx and 16F87x series are also supported by dump84.

.SH SYNOPSIS
\fBdump84\fP [\fB-abdfhipvLTV\fP] [\fB-l\fP \fINN\fP] [\fB-t\fP|\fB-x\fP|\fB-y\fP] [[\fB-o\fP] \fIfile\fP]

.SH DESCRIPTION
The
.B dump84
program attempts to read the memory contents of a 16Cxx and 16Fxxx EEPROM/FLASH microcontroller
series and 12C5xx EPROM microcontrollers
in serial mode through a minimal driver circuit connected to a IBM-PC style
parallel port, serial port, or USB parallel port.
It is designed to work easily with any such circuit
by using the correct configuration file. See the HARDWARE section
for information on the external circuitry required and how to specify
it to

.PP
By default, 
.B dump84
does nothing when invoked. These command line options control what happens.
.PP
.TP
\fB-h\fP , \fB--help\fP
Emits a brief help message listing the acceptable command line
parameters.

.TP
\fB-p\fP, \fB--dump-prog\fP
Dumps PIC's program memory.

.TP
\fB-d\fP, \fB--dump-data\fP
Dumps PIC's EEPROM data memory on parts that support it.

.TP
\fB-f\fP, \fB--dump-fuses\fP
Dumps configuration fuses.

.TP
\fB-i\fP, \fB--dump-id\fP
Dumps ID words.

.TP
\fB-a\fP, \fB--dump-all\fP
Dumps all of the above.

.TP
\fB-b\fP, \fB--blank-check\fP
Does not dump PIC's memory, but checks whether it is blank or not.
A PIC or EEPROM can be blanked using \fBprog84\fP's \fB-z\fP option.

.PP
The output of the dumped data is by default in the Intel hex8 format.
The following options control the output:

.TP
\fB-x\fP, \fB--intel8\fP
Use 8-bit Intel 
.BR hex -format
.

.TP
\fB-y\fP, \fB--intel16\fP
Use 16-bit Intel 
.BR hex -format
.

.TP
\fB-t\fP, \fB--pictools\fP
Use
.BR pictools -format
.

.TP
\fB-l\fP \fINN\fP, \fB--from\fP=\fINN\fP
Dumps only the first NN positions of the selected memory area.


.TP
\fB-o\fP \fIFILE\fP, \fB--output\fP=\fIFILE\fP
Write output to the specified FILE, rather than standard output.
Standard output can be specified with `-'.


.TP
\fB-T\fP \fIchiptype\fP, \fB--chip\fP=\fIchiptype\fP
Select type of chip. Currently the following values
can be used:

"a", "auto", "h", "help", 2408, 2416, 2465, 1684, and 
values for the series 16C6x/7x/923/924 and 16F87x. 12508 and 12509
values stands for 12C5xx series.

Use 
.B -T \fIhelp\fP
or
.B -T \fIh\fP
to get the full list.

.B -T \fIa\fP
or
.B -T \fIauto\fP
will try to autodetect EEPROM, and if none is detected an 16x84 is
chosen.
Selecting an EEPROM will on BR875 and equivalent programmers autoselect
the EEPROM (since BR875 does not have any switches).

.TP
\fB-v\fP, \fB--verbose\fP
Be more verbose. This option can be specified multiple times to increase
the amount of output produced. One
.B -v
elicits a terse status display, showing which locations are being
programmed and whether they verify correctly. Two will show
the results of the initial hardware test and dump the information read
from the configuration file. Three will produce a line of output
describing every bit clocked into the PIC and the bit read back
(probably more information than is useful on a regular basis).

.TP
\fB-L\fP, \fB--list-chips\fP
Prints a list of all supported devices. The list also shows the type of
device (\fIPIC\fP or \fIEEPROM\fP) and the amount of memory available
for dumping.

.TP
\fB-V\fP, \fB--version\fP
Prints version information.

.PP

.SH SEE ALSO
.B prog84

.SH AUTHOR
prog84 is written and copyrighted by Frank Damgaard, <frda@post3.tele.dk>
and others.
.br
This man page was written by Fernando J. Rodrguez (Herr Groucho) 
<groucho@lugmen.org.ar>.

No manual page yet for thru84 use the
.BR -h
option 
for a list of available options.
